VARKON Version 1.16 1999-02-11

### GMSIZE

System variable

Description

GM is the place where VARKON keeps all entities created by different modules. GM is based on a demand page virtual memory handler that keeps the recently most used pages in a memory cache while the rest of the data is on disc. GMSIZE is the size of the cache area measured in 1Kb pages. Default value = 256 pages. GMSIZE can be increased (or decreased) by supplying the -gm parameter on the commandline when VARKON is started.

Example:

-gm1000

Sets GMSIZE = 1000 pages = 1Mb

There is no limitation in VARKON on the total size of GM. GM will expand on disc automatically (the RES-file) as it grows eventually untill the disc is full.

Comments

If GM is larger than the cache pages of data will be swapped to disc automatically. In that case increasing GMSIZE sufficiently may increase the speed of operations like Zoom, Autozoom or Run Active Module.

VARKON Homepage | Index